4Suite™ API Documentation

# ► Module Ft.Server.Server.GlobalConfig

Collected stste from the global 4Suite repository config file, parsed in Ft.Server.Server.Lib.ConfigFile
Copyright 2003 Fourthought, Inc. (USA).
Detailed license and copyright information: http://4suite.org/COPYRIGHT
Project home, documentation, distributions: http://4suite.org/

Classes: GlobalConfig |  |  |  | Fields: DEFAULT_LOG_FILE, DEFAULT_MAX_DAEMONS, DEFAULT_MAX_FREE_DAEMON, DEFAULT_MIN_FREE_DAEMON, DEFAULT_PID_FILE, DEFAULT_START_DAEMON, MAX_DAEMONS

## Classes

class GlobalConfig
The configuration shared between the controller and the individual servers.

### Methods

__init__(self, username, password, core, filename, debug=0)
getRepository(self)
openLogs(self)
readConfig(self)
removePid(self)
savePid(self)

### Fields

ident = 'Controller'

## Fields

DEFAULT_LOG_FILE = 'Logs/error.log'
DEFAULT_MAX_DAEMONS = 150
DEFAULT_MAX_FREE_DAEMON = 10
DEFAULT_MIN_FREE_DAEMON = 5
DEFAULT_PID_FILE = 'Logs/4ssd.pid'
DEFAULT_START_DAEMON = 5
MAX_DAEMONS = 256